# Generated by Django 5.0.6 on 2024-06-24 06:02

import datetime
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0005_alter_cumulativemeasurementtrigger_field_name_and_more'),
        ('devices', '0001_initial'),
        # ('transductors', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='TransductorStatusTrigger',
            fields=[
                ('trigger_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.trigger')),
                ('target_status', models.IntegerField(choices=[(1, 'Active'), (2, 'Broken'), (3, 'Disabled'), (4, 'Maintenance'), (5, 'Transferred'), (6, 'Other')])),
                ('threshold_time', models.DurationField(default=datetime.timedelta(seconds=3600))),
                ('transductors', models.ManyToManyField(related_name='status_triggers', to='devices.transductor')),
            ],
            options={
                'verbose_name': 'Transductor Status Trigger',
                'verbose_name_plural': 'Transductor Status Triggers',
            },
            bases=('events.trigger',),
        ),
    ]
